### Method

# RB Shell get_source_by_entry_type

#### Declaration [src]

    RBSource*
    rb_shell_get_source_by_entry_type (
      RBShell* shell,
      RhythmDBEntryType* type
    )

#### Description [src]

Looks up and returns the source that owns entries of the specified type.

#### Parameters

`type`

  Type: `RhythmDBEntryType`

  Entry type for which to find a source.

  The data is owned by the caller of the method.

#### Return value

Type: `RBSource`

Source instance, if any.

The returned data is owned by the instance.